Subject: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under Wayland.

From: 夜坂雅 <[email-masked]>
Date: Sun, 04 Sep 2022 19:01:53 +0800

夜坂雅 <[email-masked]> writes:

> Quoting Po Lu (2022-09-03 13:01:11)
>> Does the bug still happen with this patch applied?  It does mean that
>> iconification will no longer be reported correctly, but GDK simply
>> doesn't report iconification state to programs on Wayland.
>
> This bug can still happen with your patch applied.
>
> Another thing I found interesting: I also used M-x server-start so
> emacsclient can control this Emacs. Without your patch,
> When I iconify Emacs via emacsclient by running:
>
> $ emacsclient -e '(iconify-or-deiconify-frame)'
>
> I can't deiconify it using the same command. But I can deiconify it
> using the taskbar (I use Latte Dock's taskbar), and the bug doesn't
> happen.
>
> But when I apply your patch, running
>
> $ emacsclient -e '(iconify-or-deiconify-frame)'
>
> and deiconify it using taskbar, the bug happens.

Sorry, for whatever reason the mail was lost and not found in debbugs so
I have to resend it again.